Skip to main content
GET
/
domain-availability
cURL
curl --request GET \
  --url https://dev.namify.host/domain-availability \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "product_category": "<string>",
      "domain": "<string>",
      "status": "<string>",
      "pricing": {
        "register": {},
        "privacy": {},
        "renew": 123,
        "slashed": 123
      },
      "type": "<string>",
      "renews_on": "Nov 16, 2026"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

search_term
string[]
required

One or more domain search terms (without TLD).

tlds
string[]

One or more TLDs to check availability against.

Response

Domain availability results.

results
object[]